Name:          ndctl
Version:       69
Release:       1mamba
Summary:       Utility library for managing the libnvdimm (non-volatile memory device) sub-system in the Linux kernel
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pmem/ndctl.git
## GITSOURCE https://github.com/pmem/ndctl.git v64.1
Source:        https://github.com/pmem/ndctl.git/v%{version}/ndctl-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libjson-c-devel
BuildRequires: libkeyutils-devel
BuildRequires: libkmod-devel
BuildRequires: libudev-devel
BuildRequires: libuuid-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Utility library for managing the libnvdimm (non-volatile memory device) sub-system in the Linux kernel.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
./autogen.sh
%configure \
   --disable-docs

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%systemd_post ndctl-monitor
:

%postun
%systemd_postun ndctl-monitor
:

%preun
%systemd_preun ndctl-monitor
:

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_sysconfdir}/modprobe.d/nvdimm-security.conf
%{_sysconfdir}/ndctl/keys/keys.readme
%{_sysconfdir}/ndctl/monitor.conf
%{_unitdir}/ndctl-monitor.service
%{_bindir}/daxctl
%{_bindir}/ndctl
%{_datadir}/bash-completion/completions/ndctl
%{_datadir}/daxctl/daxctl.conf

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libdaxctl.so.*
%{_libdir}/libndctl.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/daxctl/libdaxctl.h
%{_includedir}/ndctl/libdaxctl.h
%{_includedir}/ndctl/libndctl.h
%{_includedir}/ndctl/ndctl.h
%{_libdir}/libdaxctl.la
%{_libdir}/libdaxctl.so
%{_libdir}/libndctl.la
%{_libdir}/libndctl.so
%{_libdir}/pkgconfig/libdaxctl.pc
%{_libdir}/pkgconfig/libndctl.pc
%doc README.md

%changelog
* Fri Jul 24 2020 Automatic Build System <autodist@mambasoft.it> 69-1mamba
- automatic version update by autodist

* Tue Mar 24 2020 Automatic Build System <autodist@mambasoft.it> 68-1mamba
- automatic version update by autodist

* Tue Oct 29 2019 Automatic Build System <autodist@mambasoft.it> 67-1mamba
- automatic version update by autodist

* Fri Aug 09 2019 Automatic Build System <autodist@mambasoft.it> 66-1mamba
- automatic version update by autodist

* Sun May 12 2019 Automatic Build System <autodist@mambasoft.it> 65-1mamba
- automatic version update by autodist

* Thu Feb 28 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 64.1-1mamba
- package created using the webbuild interface
